
def zip_longest(*iterables, fillvalue=None):
    # This function will zip together multiple iterables, filling in missing values with fillvalue
    iterators = [iter(it) for it in iterables]
    while True:
        result = []
        for it in iterators:
            try:
                result.append(next(it))
            except StopIteration:
                result.append(fillvalue)
        if not result:
            break
        yield tuple(result)

# Code Information
